const express = require('express')
const microtalk = require('./microtalk.js')

const app = express()

app.get('/', function (req, res) {
  res.send('microtalk')
})

app.get('/eval/:expr', function (req, res) {
  var expr = req.params.expr
  result = microtalk.evaluate(expr)
  res.send(result.val)
})

app.listen(4444, function () {
  console.log('listening on port 4444')
  console.log('try http://localhost:4444/eval/{lib}')
})